import { AfterViewInit, TemplateRef, ChangeDetectorRef, EventEmitter } from '@angular/core';
export declare class GridRendererComponent implements AfterViewInit {
    private ref;
    loading: boolean;
    activePage: number;
    fakePageSizeModel: number;
    searchVal: string;
    buttonClick: EventEmitter<any>;
    hdrTpl: TemplateRef<any>;
    cellTpl: TemplateRef<any>;
    defButtonTemplate: TemplateRef<any>;
    selectionType: string;
    rowHeight: string;
    columnMode: string;
    headerHeight: number;
    footerHeight: number;
    showPager: boolean;
    reorderable: boolean;
    swapColumns: boolean;
    editablePageSize: boolean;
    pageSizes: number[];
    actionButtons: any[];
    selected: any[];
    rows: any;
    columns: any;
    pageSize: any;
    private _searchChanged;
    private _columns;
    private _rows;
    private _pageSize;
    constructor(ref: ChangeDetectorRef);
    ngAfterViewInit(): void;
    reset(): void;
    buttonClicked(button: any): void;
    updatePageSize(pageSize: any): void;
    emitSearch(value: any): void;
    updateSearch(searchVal: string): void;
}
